Bug 1031509 - Nodejs-0.6/0.10 app failed to git push
Nodejs-0.6/0.10 app failed to git push
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Image (Show other bugs)
2.x
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 02:26 EST by Lei Zhang
Modified: 2015-05-14 20:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:30:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Zhang 2013-11-18 02:26:55 EST
Description of problem:
Given nodejs-0.6 app created(e.g., mynodejs06), do something in local repo and git push, Failed due to "install Couldn't read dependencies"

Counting objects: 5, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (3/3), done.
Writing objects: 100% (3/3), 279 bytes, done.
Total 3 (delta 2), reused 0 (delta 0)
remote: Stopping NodeJS cartridge
remote: Syncing git content to other proxy gears
remote: Saving away previously installed Node modules
remote: Building git ref 'master', commit 3ec54f0
remote: Building NodeJS cartridge
remote: npm info it worked if it ends with ok
remote: npm info using npm@1.2.17
remote: npm info using node@v0.10.5
remote: npm ERR! install Couldn't read dependencies
remote: npm ERR! Failed to parse json
remote: npm ERR! Unexpected token :
remote: npm ERR! File: /var/lib/openshift/528984886cec0e72f000016f/app-root/runtime/repo/package.json
remote: npm ERR! Failed to parse package.json data.
remote: npm ERR! package.json must be actual JSON, not just JavaScript.
remote: npm ERR! 
remote: npm ERR! This is not a bug in npm.
remote: npm ERR! Tell the package author to fix their package.json file. JSON.parse
remote: 
remote: npm ERR! System Linux 2.6.32-358.23.2.el6.x86_64
remote: npm ERR! command "node" "/opt/rh/nodejs010/root/usr/bin/npm" "install" "-d"
remote: npm ERR! cwd /var/lib/openshift/528984886cec0e72f000016f/app-root/runtime/repo
remote: npm ERR! node -v v0.10.5
remote: npm ERR! npm -v 1.2.17
remote: npm ERR! file /var/lib/openshift/528984886cec0e72f000016f/app-root/runtime/repo/package.json
remote: npm ERR! code EJSONPARSE
remote: npm ERR! 
remote: npm ERR! Additional logging details can be found in:
remote: npm ERR!     /var/lib/openshift/528984886cec0e72f000016f/app-root/runtime/repo/npm-debug.log
remote: npm ERR! not ok code 0
remote: An error occurred executing 'gear postreceive' (exit code: 1)
remote: Error message: Failed to execute: 'control build' for /var/lib/openshift/528984886cec0e72f000016f/nodejs
remote: 
remote: For more details about the problem, try running the command again with the '--trace' option.
To ssh://528984886cec0e72f000016f@mynodejs010s-rayzhang.int.rhcloud.com/~/git/mynodejs010s.git/
   41898a2..3ec54f0  master -> master


Version-Release number of selected component (if applicable):
INT(devenv_4043)

How reproducible:
always

Steps to Reproduce:
1.Create one nodejs-0.6 app
rhc app create mynodejs06 nodejs-0.6 
2.do something change in local repo and git push
sed -i 's/Welcome/Hi/g' index.html&&git add -A &&git commit -amp&&git push
3.

Actual results:
Nodejs-0.6/Nodejs-0.10 failed to git push

Expected results:
Nodejs-0.6/Nodejs-0.10 git push should succeed

Additional info:
the issue is the format of package.json is incorrect.
  "dependencies":
    "express": "~3.4.4"
  },
Comment 1 Meng Bo 2013-11-18 03:15:44 EST
The bug should be caused by this commit 7ce62db95c5095e763e037ab432ade9b6ef04303
Comment 2 Michal Fojtik 2013-11-18 06:27:42 EST
The PR is now merging:

https://github.com/openshift/origin-server/pull/4193

Please re-test once the PR is merged.
Comment 3 openshift-github-bot 2013-11-18 07:37:31 EST
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/8078c493b2759e467b63702d41992b8a30953d0d
Bug 1031509 - Fixed typo in node.js cartridge package.json
Comment 4 Lei Zhang 2013-11-18 21:02:03 EST
Verified on devenv_4047

Counting objects: 5, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (3/3), done.
Writing objects: 100% (3/3), 280 bytes, done.
Total 3 (delta 2), reused 0 (delta 0)
remote: Stopping NodeJS cartridge
remote: Saving away previously installed Node modules
remote: Building git ref 'master', commit 49385c7
remote: Building NodeJS cartridge
remote: npm info it worked if it ends with ok
remote: npm info using npm@1.1.37
remote: npm info using node@v0.6.20
remote: npm info preinstall OpenShift-Sample-App@1.0.0
remote: npm info retry registry request attempt 1 at 20:58:53
remote: npm http GET https://registry.npmjs.org/express
remote: npm http 200 https://registry.npmjs.org/express
remote: npm info retry fetch attempt 1 at 20:58:54
remote: npm http GET https://registry.npmjs.org/express/-/express-3.4.4.tgz
remote: npm http 200 https://registry.npmjs.org/express/-/express-3.4.4.tgz
remote: npm info shasum 0b63ae626c96b71b78d13dfce079c10351635a86
remote: npm info shasum /tmp/npm-11137/1384826334629-0.7716930587776005/tmp.tgz
remote: npm info shasum a665810b2b38277274d8984f4bee0995195aabc5
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/express/3.4.4/package.tgz
remote: npm info install express@3.4.4 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo
remote: npm info installOne express@3.4.4
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express unbuild
remote: npm info preinstall express@3.4.4
remote: npm info retry registry request attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/connect/2.11.0
remote: npm info retry registry request attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/commander/1.3.2
remote: npm info retry registry request attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/range-parser/0.0.4
remote: npm info retry registry request attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/mkdirp/0.3.5
remote: npm info retry registry request attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/cookie/0.1.0
remote: npm info retry registry request attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/buffer-crc32/0.2.1
remote: npm info retry registry request attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/fresh/0.2.0
remote: npm info retry registry request attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/methods/0.1.0
remote: npm info retry registry request attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/send/0.1.4
remote: npm info retry registry request attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/cookie-signature/1.0.1
remote: npm info retry registry request attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/debug
remote: npm http 200 https://registry.npmjs.org/range-parser/0.0.4
remote: npm info retry fetch attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/range-parser/-/range-parser-0.0.4.tgz
remote: npm http 200 https://registry.npmjs.org/cookie/0.1.0
remote: npm http 200 https://registry.npmjs.org/commander/1.3.2
remote: npm http 200 https://registry.npmjs.org/connect/2.11.0
remote: npm http 200 https://registry.npmjs.org/mkdirp/0.3.5
remote: npm info retry fetch attempt 1 at 20:58:55
remote: npm info retry fetch attempt 1 at 20:58:55
remote: npm info retry fetch attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/cookie/-/cookie-0.1.0.tgz
remote: npm http GET https://registry.npmjs.org/commander/-/commander-1.3.2.tgz
remote: npm http GET https://registry.npmjs.org/connect/-/connect-2.11.0.tgz
remote: npm info retry fetch attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.5.tgz
remote: npm http 200 https://registry.npmjs.org/methods/0.1.0
remote: npm info retry fetch attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/methods/-/methods-0.1.0.tgz
remote: npm http 200 https://registry.npmjs.org/buffer-crc32/0.2.1
remote: npm info retry fetch attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/buffer-crc32/-/buffer-crc32-0.2.1.tgz
remote: npm http 200 https://registry.npmjs.org/send/0.1.4
remote: npm http 200 https://registry.npmjs.org/fresh/0.2.0
remote: npm info retry fetch attempt 1 at 20:58:55
remote: npm info retry fetch attempt 1 at 20:58:55
remote: npm http 200 https://registry.npmjs.org/cookie-signature/1.0.1
remote: npm http GET https://registry.npmjs.org/send/-/send-0.1.4.tgz
remote: npm http GET https://registry.npmjs.org/fresh/-/fresh-0.2.0.tgz
remote: npm info retry fetch attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/cookie-signature/-/cookie-signature-1.0.1.tgz
remote: npm http 200 https://registry.npmjs.org/range-parser/-/range-parser-0.0.4.tgz
remote: npm http 200 https://registry.npmjs.org/cookie/-/cookie-0.1.0.tgz
remote: npm http 200 https://registry.npmjs.org/commander/-/commander-1.3.2.tgz
remote: npm http 200 https://registry.npmjs.org/connect/-/connect-2.11.0.tgz
remote: npm info shasum c0427ffef51c10acba0782a46c9602e744ff620b
remote: npm info shasum /tmp/npm-11137/1384826335629-0.10495382687076926/tmp.tgz
remote: npm info shasum 8a8f30ec670a6fdd64af52f1914b907d79ead5b5
remote: npm info shasum /tmp/npm-11137/1384826335688-0.493701315484941/tmp.tgz
remote: npm info shasum 90eb469ddce905c866de687efc43131d8801f9d0
remote: npm info shasum /tmp/npm-11137/1384826335687-0.9997432010713965/tmp.tgz
remote: npm http 200 https://registry.npmjs.org/debug
remote: npm http 200 https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.5.tgz
remote: npm http 200 https://registry.npmjs.org/methods/-/methods-0.1.0.tgz
remote: npm http 200 https://registry.npmjs.org/buffer-crc32/-/buffer-crc32-0.2.1.tgz
remote: npm info shasum de3e5f8961c88c787ee1368df849ac4413eca8d7
remote: npm info shasum /tmp/npm-11137/1384826335693-0.6569761030841619/tmp.tgz
remote: npm http 200 https://registry.npmjs.org/send/-/send-0.1.4.tgz
remote: npm info shasum 335d429eefd21b7bacf2e9c922a8d2bd14a30e4f
remote: npm info shasum /tmp/npm-11137/1384826335725-0.1436077323742211/tmp.tgz
remote: npm http 200 https://registry.npmjs.org/cookie-signature/-/cookie-signature-1.0.1.tgz
remote: npm http 200 https://registry.npmjs.org/fresh/-/fresh-0.2.0.tgz
remote: npm info retry fetch attempt 1 at 20:58:55
remote: npm http GET https://registry.npmjs.org/debug/-/debug-0.7.4.tgz
remote: npm info shasum be3e5382fc02b6d6324956ac1af98aa98b08534c
remote: npm info shasum /tmp/npm-11137/1384826335751-0.218600312480703/tmp.tgz
remote: npm info shasum 9991ce09ff9b85d9ead27f9d41d0b2a2df2f9284
remote: npm info shasum /tmp/npm-11137/1384826335688-0.3289261998143047/tmp.tgz
remote: npm info shasum be70d8d1be01de61821af13780b50345a4f71abd
remote: npm info shasum /tmp/npm-11137/1384826335771-0.9129377666395158/tmp.tgz
remote: npm info shasum bfd9402cf3df12c4a4c310c79f99a3dde13d34a7
remote: npm info shasum /tmp/npm-11137/1384826335771-0.5055914237163961/tmp.tgz
remote: npm info shasum 44e072148af01e6e8e24afbf12690d68ae698ecb
remote: npm info shasum /tmp/npm-11137/1384826335778-0.7464781261514872/tmp.tgz
remote: npm info shasum ef52b546d98b3c4ffd08dbb30d2811f0d470ff99
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/range-parser/0.0.4/package.tgz
remote: npm http 200 https://registry.npmjs.org/debug/-/debug-0.7.4.tgz
remote: npm info shasum 06e1ea8082c2cb14e39806e22e2f6f757f92af39
remote: npm info shasum /tmp/npm-11137/1384826335951-0.7659404906444252/tmp.tgz
remote: npm info shasum 289ae8da6ccea1d59b2417d3821c900b10e09f93
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/methods/0.1.0/package.tgz
remote: npm info shasum d8eeb14c2885e883f010847b8e4cbf20fd67049c
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/cookie-signature/1.0.1/package.tgz
remote: npm info shasum 481730a88206910e20eb5bb40e5ef5a82be8b415
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/fresh/0.2.0/package.tgz
remote: npm info shasum 58f22b11e30bc7002f62f54cee2a3b6d0c52e282
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/buffer-crc32/0.2.1/package.tgz
remote: npm info shasum 06d8757b3910689564191fa1deff675bd7a572fa
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/cookie/0.1.0/package.tgz
remote: npm info shasum a9ba49381263689292be316d06e50e638e4fad6c
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/send/0.1.4/package.tgz
remote: npm info shasum 0b5b61c7204cf91114d95b3cc4073296d40ceb7f
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/debug/0.7.4/package.tgz
remote: npm info shasum c16755b966480edf2c7e92ff05e83cdec2228fb6
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/commander/1.3.2/package.tgz
remote: npm info shasum fb092d3629bfd11f7f6086bc4fef2572ea2b4ccf
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/mkdirp/0.3.5/package.tgz
remote: npm info shasum 5316822640a7de1a283f75a501d73d356a47759b
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/connect/2.11.0/package.tgz
remote: npm info install range-parser@0.0.4 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express
remote: npm info install methods@0.1.0 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express
remote: npm info install cookie-signature@1.0.1 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express
remote: npm info install fresh@0.2.0 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express
remote: npm info install buffer-crc32@0.2.1 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express
remote: npm info install cookie@0.1.0 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express
remote: npm info install send@0.1.4 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express
remote: npm info install debug@0.7.4 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express
remote: npm info install commander@1.3.2 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express
remote: npm info install mkdirp@0.3.5 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express
remote: npm info install connect@2.11.0 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express
remote: npm info installOne range-parser@0.0.4
remote: npm info installOne methods@0.1.0
remote: npm info installOne cookie-signature@1.0.1
remote: npm info installOne fresh@0.2.0
remote: npm info installOne buffer-crc32@0.2.1
remote: npm info installOne cookie@0.1.0
remote: npm info installOne send@0.1.4
remote: npm info installOne debug@0.7.4
remote: npm info installOne commander@1.3.2
remote: npm info installOne mkdirp@0.3.5
remote: npm info installOne connect@2.11.0
remote: npm WARN engine connect@2.11.0: wanted: {"node":">= 0.8.0"} (current: {"node":"0.6.20","npm":"1.1.37"})
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/range-parser unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/methods unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/cookie-signature unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/fresh unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/buffer-crc32 unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/cookie unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/send unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/debug unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/commander unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/mkdirp unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect unbuild
remote: npm info preinstall methods@0.1.0
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/methods
remote: npm info linkStuff methods@0.1.0
remote: npm info install methods@0.1.0
remote: npm info preinstall debug@0.7.4
remote: npm info postinstall methods@0.1.0
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/debug
remote: npm info linkStuff debug@0.7.4
remote: npm info install debug@0.7.4
remote: npm info postinstall debug@0.7.4
remote: npm info preinstall range-parser@0.0.4
remote: npm info preinstall cookie-signature@1.0.1
remote: npm info preinstall fresh@0.2.0
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/range-parser
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/cookie-signature
remote: npm info linkStuff range-parser@0.0.4
remote: npm info linkStuff cookie-signature@1.0.1
remote: npm info install range-parser@0.0.4
remote: npm info install cookie-signature@1.0.1
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/fresh
remote: npm info linkStuff fresh@0.2.0
remote: npm info install fresh@0.2.0
remote: npm info postinstall range-parser@0.0.4
remote: npm info postinstall cookie-signature@1.0.1
remote: npm info postinstall fresh@0.2.0
remote: npm info preinstall buffer-crc32@0.2.1
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/buffer-crc32
remote: npm info linkStuff buffer-crc32@0.2.1
remote: npm info install buffer-crc32@0.2.1
remote: npm info postinstall buffer-crc32@0.2.1
remote: npm info preinstall cookie@0.1.0
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/cookie
remote: npm info linkStuff cookie@0.1.0
remote: npm info install cookie@0.1.0
remote: npm info preinstall send@0.1.4
remote: npm info postinstall cookie@0.1.0
remote: npm info retry registry request attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/mime
remote: npm info preinstall commander@1.3.2
remote: npm info retry registry request attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/keypress
remote: npm info preinstall mkdirp@0.3.5
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/mkdirp
remote: npm info linkStuff mkdirp@0.3.5
remote: npm info install mkdirp@0.3.5
remote: npm info postinstall mkdirp@0.3.5
remote: npm info preinstall connect@2.11.0
remote: npm info retry registry request attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/qs/0.6.5
remote: npm info retry registry request attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/bytes/0.2.1
remote: npm info retry registry request attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/pause/0.0.1
remote: npm info retry registry request attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/uid2/0.0.3
remote: npm info retry registry request attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/methods/0.0.1
remote: npm info retry registry request attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/raw-body/0.0.3
remote: npm info retry registry request attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/negotiator/0.3.0
remote: npm info retry registry request attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/multiparty/2.2.0
remote: npm http 200 https://registry.npmjs.org/mime
remote: npm info retry fetch attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/mime/-/mime-1.2.11.tgz
remote: npm http 200 https://registry.npmjs.org/keypress
remote: npm info retry fetch attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/keypress/-/keypress-0.1.0.tgz
remote: npm http 200 https://registry.npmjs.org/uid2/0.0.3
remote: npm info retry fetch attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/uid2/-/uid2-0.0.3.tgz
remote: npm http 200 https://registry.npmjs.org/methods/0.0.1
remote: npm info retry fetch attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/methods/-/methods-0.0.1.tgz
remote: npm http 200 https://registry.npmjs.org/negotiator/0.3.0
remote: npm info retry fetch attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/negotiator/-/negotiator-0.3.0.tgz
remote: npm http 200 https://registry.npmjs.org/raw-body/0.0.3
remote: npm info retry fetch attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/raw-body/-/raw-body-0.0.3.tgz
remote: npm http 200 https://registry.npmjs.org/qs/0.6.5
remote: npm info retry fetch attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/qs/-/qs-0.6.5.tgz
remote: npm http 200 https://registry.npmjs.org/pause/0.0.1
remote: npm info retry fetch attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/pause/-/pause-0.0.1.tgz
remote: npm http 200 https://registry.npmjs.org/bytes/0.2.1
remote: npm info retry fetch attempt 1 at 20:58:58
remote: npm http GET https://registry.npmjs.org/bytes/-/bytes-0.2.1.tgz
remote: npm http 200 https://registry.npmjs.org/mime/-/mime-1.2.11.tgz
remote: npm http 200 https://registry.npmjs.org/keypress/-/keypress-0.1.0.tgz
remote: npm http 200 https://registry.npmjs.org/uid2/-/uid2-0.0.3.tgz
remote: npm http 200 https://registry.npmjs.org/methods/-/methods-0.0.1.tgz
remote: npm info shasum 277c90f8bef39709645a8371c51c3b6c648e068c
remote: npm info shasum /tmp/npm-11137/1384826338667-0.9369770148769021/tmp.tgz
remote: npm WARN package.json methods@0.0.1 No README.md file found!
remote: npm info shasum 4a3188d4291b66b4f65edb99f806aa9ae293592a
remote: npm info shasum /tmp/npm-11137/1384826338620-0.7102470588870347/tmp.tgz
remote: npm info shasum 58203eed86e3a5ef17aed2b7d9ebd47f0a60dd10
remote: npm info shasum /tmp/npm-11137/1384826338600-0.7361501280684024/tmp.tgz
remote: npm http 200 https://registry.npmjs.org/multiparty/2.2.0
remote: npm http 200 https://registry.npmjs.org/negotiator/-/negotiator-0.3.0.tgz
remote: npm http 200 https://registry.npmjs.org/qs/-/qs-0.6.5.tgz
remote: npm http 200 https://registry.npmjs.org/raw-body/-/raw-body-0.0.3.tgz
remote: npm info shasum 483126e11774df2f71b8b639dcd799c376162b82
remote: npm info shasum /tmp/npm-11137/1384826338643-0.4220730175729841/tmp.tgz
remote: npm info retry fetch attempt 1 at 20:58:58
remote: npm http 200 https://registry.npmjs.org/pause/-/pause-0.0.1.tgz
remote: npm http GET https://registry.npmjs.org/multiparty/-/multiparty-2.2.0.tgz
remote: npm info shasum 706d692efeddf574d57ea9fb1ab89a4fa7ee8f60
remote: npm info shasum /tmp/npm-11137/1384826338758-0.4069436974823475/tmp.tgz
remote: npm http 200 https://registry.npmjs.org/bytes/-/bytes-0.2.1.tgz
remote: npm info shasum 0cb3eb22ced1ca607d32dd8fd94a6eb383f3eb8a
remote: npm info shasum /tmp/npm-11137/1384826338764-0.6160785974934697/tmp.tgz
remote: npm info shasum 294b268e4b0d4250f6dde19b3b8b34935dff14ef
remote: npm info shasum /tmp/npm-11137/1384826338771-0.42948340019211173/tmp.tgz
remote: npm WARN package.json uid2@0.0.3 No README.md file found!
remote: npm info shasum 1d408b3fdb76923b9543d96fb4c9dfd535d9cb5d
remote: npm info shasum /tmp/npm-11137/1384826338786-0.07060978002846241/tmp.tgz
remote: npm http 200 https://registry.npmjs.org/multiparty/-/multiparty-2.2.0.tgz
remote: npm info shasum 8bb36bb655714538cd25169c2addf93b3a73f5a6
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/methods/0.0.1/package.tgz
remote: npm info shasum 555b08abcb063f8975905302523e4cd4ffdfdf31
remote: npm info shasum /tmp/npm-11137/1384826338795-0.47099881200119853/tmp.tgz
remote: npm info shasum e970fc85a282954cf2eef0fc13f7d19ca3cde25f
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/uid2/0.0.3/package.tgz
remote: npm info shasum 59a61bb8b0013d4022e628767570ebbe59a48de6
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/keypress/0.1.0/package.tgz
remote: npm info install keypress@0.1.0 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/commander
remote: npm info installOne keypress@0.1.0
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/commander/node_modules/keypress unbuild
remote: npm info shasum bcb1dc903e3fce9b3add3459d91667a84aac7ef4
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/pause/0.0.1/package.tgz
remote: npm info shasum 021fe61bef489996689517134177005a50f4cb29
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/raw-body/0.0.3/package.tgz
remote: npm info shasum 8923f32edd719a566697d81abc3094866d55697a
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/qs/0.6.5/package.tgz
remote: npm info shasum 13036d9231bd8df7de2b0653d49fa3b9572055b6
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/bytes/0.2.1/package.tgz
remote: npm info preinstall keypress@0.1.0
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/commander/node_modules/keypress
remote: npm info linkStuff keypress@0.1.0
remote: npm info install keypress@0.1.0
remote: npm info postinstall keypress@0.1.0
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/commander
remote: npm info linkStuff commander@1.3.2
remote: npm info install commander@1.3.2
remote: npm info postinstall commander@1.3.2
remote: npm info shasum e646955484cfe59ddfba103baa041d0cd3fbc7f1
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/negotiator/0.3.0/package.tgz
remote: npm info shasum 473f0efc86b160155ad3c3a9a7fbcfea51f23a0a
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/mime/1.2.11/package.tgz
remote: npm info install mime@1.2.11 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/send
remote: npm info installOne mime@1.2.11
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/send/node_modules/mime unbuild
remote: npm info preinstall mime@1.2.11
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/send/node_modules/mime
remote: npm info linkStuff mime@1.2.11
remote: npm info install mime@1.2.11
remote: npm info postinstall mime@1.2.11
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/send
remote: npm info linkStuff send@0.1.4
remote: npm info install send@0.1.4
remote: npm info postinstall send@0.1.4
remote: npm info shasum a567c2af000ad22dc8f2a653d91978ae1f5316f4
remote: npm info shasum /tmp/npm-11137/1384826338896-0.8289704679045826/tmp.tgz
remote: npm info shasum 21d878dcbe4df6bf2876807dc1fb0506ac50b9bd
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/multiparty/2.2.0/package.tgz
remote: npm info install methods@0.0.1 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect
remote: npm info install uid2@0.0.3 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect
remote: npm info install pause@0.0.1 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect
remote: npm info install raw-body@0.0.3 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect
remote: npm info install qs@0.6.5 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect
remote: npm info install bytes@0.2.1 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect
remote: npm info install negotiator@0.3.0 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect
remote: npm info install multiparty@2.2.0 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect
remote: npm info installOne methods@0.0.1
remote: npm info installOne uid2@0.0.3
remote: npm info installOne pause@0.0.1
remote: npm info installOne raw-body@0.0.3
remote: npm info installOne qs@0.6.5
remote: npm info installOne bytes@0.2.1
remote: npm info installOne negotiator@0.3.0
remote: npm info installOne multiparty@2.2.0
remote: npm WARN engine multiparty@2.2.0: wanted: {"node":">=0.8.0"} (current: {"node":"0.6.20","npm":"1.1.37"})
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/methods unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/uid2 unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/pause unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/raw-body unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/qs unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/bytes unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/negotiator unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty unbuild
remote: npm info preinstall methods@0.0.1
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/methods
remote: npm info linkStuff methods@0.0.1
remote: npm info install methods@0.0.1
remote: npm info postinstall methods@0.0.1
remote: npm info preinstall uid2@0.0.3
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/uid2
remote: npm info linkStuff uid2@0.0.3
remote: npm info install uid2@0.0.3
remote: npm info postinstall uid2@0.0.3
remote: npm info preinstall pause@0.0.1
remote: npm info preinstall raw-body@0.0.3
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/pause
remote: npm info linkStuff pause@0.0.1
remote: npm info install pause@0.0.1
remote: npm info preinstall bytes@0.2.1
remote: npm info preinstall qs@0.6.5
remote: npm info postinstall pause@0.0.1
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/raw-body
remote: npm info linkStuff raw-body@0.0.3
remote: npm info install raw-body@0.0.3
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/bytes
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/qs
remote: npm info postinstall raw-body@0.0.3
remote: npm info linkStuff bytes@0.2.1
remote: npm info linkStuff qs@0.6.5
remote: npm info install bytes@0.2.1
remote: npm info install qs@0.6.5
remote: npm info postinstall bytes@0.2.1
remote: npm info postinstall qs@0.6.5
remote: npm info preinstall negotiator@0.3.0
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/negotiator
remote: npm info linkStuff negotiator@0.3.0
remote: npm info install negotiator@0.3.0
remote: npm info postinstall negotiator@0.3.0
remote: npm info preinstall multiparty@2.2.0
remote: npm info retry registry request attempt 1 at 20:59:08
remote: npm http GET https://registry.npmjs.org/readable-stream
remote: npm info retry registry request attempt 1 at 20:59:08
remote: npm http GET https://registry.npmjs.org/stream-counter
remote: npm http 200 https://registry.npmjs.org/stream-counter
remote: npm info retry fetch attempt 1 at 20:59:09
remote: npm http GET https://registry.npmjs.org/stream-counter/-/stream-counter-0.2.0.tgz
remote: npm http 200 https://registry.npmjs.org/readable-stream
remote: npm info retry fetch attempt 1 at 20:59:09
remote: npm http GET https://registry.npmjs.org/readable-stream/-/readable-stream-1.1.9.tgz
remote: npm http 200 https://registry.npmjs.org/stream-counter/-/stream-counter-0.2.0.tgz
remote: npm info shasum ded266556319c8b0e222812b9cf3b26fa7d947de
remote: npm info shasum /tmp/npm-11137/1384826349077-0.04703691741451621/tmp.tgz
remote: npm info shasum 0fe1b84a94bdec4598a56e4c3031d2cc0b193450
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/stream-counter/0.2.0/package.tgz
remote: npm http 200 https://registry.npmjs.org/readable-stream/-/readable-stream-1.1.9.tgz
remote: npm info shasum d87130fbf8f9ee9c3b4058b3c58a3e30db2fcfdd
remote: npm info shasum /tmp/npm-11137/1384826349443-0.4956504025030881/tmp.tgz
remote: npm info shasum 6aa37fca6594c513655c2361c6bd052ec884eb2e
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/readable-stream/1.1.9/package.tgz
remote: npm info install stream-counter@0.2.0 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty
remote: npm info install readable-stream@1.1.9 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty
remote: npm info installOne stream-counter@0.2.0
remote: npm WARN engine stream-counter@0.2.0: wanted: {"node":">=0.8.0"} (current: {"node":"0.6.20","npm":"1.1.37"})
remote: npm info installOne readable-stream@1.1.9
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty/node_modules/stream-counter unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty/node_modules/readable-stream unbuild
remote: npm info preinstall stream-counter@0.2.0
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty/node_modules/stream-counter
remote: npm info linkStuff stream-counter@0.2.0
remote: npm info install stream-counter@0.2.0
remote: npm info postinstall stream-counter@0.2.0
remote: npm info preinstall readable-stream@1.1.9
remote: npm info retry registry request attempt 1 at 20:59:12
remote: npm http GET https://registry.npmjs.org/core-util-is
remote: npm info retry registry request attempt 1 at 20:59:12
remote: npm http GET https://registry.npmjs.org/debuglog/0.0.2
remote: npm http 200 https://registry.npmjs.org/debuglog/0.0.2
remote: npm http 200 https://registry.npmjs.org/core-util-is
remote: npm info retry fetch attempt 1 at 20:59:12
remote: npm info retry fetch attempt 1 at 20:59:12
remote: npm http GET https://registry.npmjs.org/core-util-is/-/core-util-is-1.0.0.tgz
remote: npm http GET https://registry.npmjs.org/debuglog/-/debuglog-0.0.2.tgz
remote: npm http 200 https://registry.npmjs.org/core-util-is/-/core-util-is-1.0.0.tgz
remote: npm info shasum 740c74c400e72707b95cc75d509543f8ad7f83de
remote: npm info shasum /tmp/npm-11137/1384826352663-0.237338506616652/tmp.tgz
remote: npm http 200 https://registry.npmjs.org/debuglog/-/debuglog-0.0.2.tgz
remote: npm info shasum 6c0dcf07e2c3f74524629b741668bd46c7b362eb
remote: npm info shasum /tmp/npm-11137/1384826352670-0.9150892260950059/tmp.tgz
remote: npm info shasum 4bd4238c1be11e4d906508a2af918f0d3ac1ff5f
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/core-util-is/1.0.0/package.tgz
remote: npm info shasum 6c0dcf07e2c3f74524629b741668bd46c7b362eb
remote: npm info shasum /var/lib/openshift/528ac55aceb528cc58000031/.npm/debuglog/0.0.2/package.tgz
remote: npm info install debuglog@0.0.2 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty/node_modules/readable-stream
remote: npm info install core-util-is@1.0.0 into /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty/node_modules/readable-stream
remote: npm info installOne debuglog@0.0.2
remote: npm info installOne core-util-is@1.0.0
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty/node_modules/readable-stream/node_modules/debuglog unbuild
remote: npm info /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty/node_modules/readable-stream/node_modules/core-util-is unbuild
remote: npm info preinstall debuglog@0.0.2
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty/node_modules/readable-stream/node_modules/debuglog
remote: npm info linkStuff debuglog@0.0.2
remote: npm info install debuglog@0.0.2
remote: npm info postinstall debuglog@0.0.2
remote: npm info preinstall core-util-is@1.0.0
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty/node_modules/readable-stream/node_modules/core-util-is
remote: npm info linkStuff core-util-is@1.0.0
remote: npm info install core-util-is@1.0.0
remote: npm info postinstall core-util-is@1.0.0
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty/node_modules/readable-stream
remote: npm info linkStuff readable-stream@1.1.9
remote: npm info install readable-stream@1.1.9
remote: npm info postinstall readable-stream@1.1.9
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect/node_modules/multiparty
remote: npm info linkStuff multiparty@2.2.0
remote: npm info install multiparty@2.2.0
remote: npm info postinstall multiparty@2.2.0
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express/node_modules/connect
remote: npm info linkStuff connect@2.11.0
remote: npm info install connect@2.11.0
remote: npm info postinstall connect@2.11.0
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo/node_modules/express
remote: npm info linkStuff express@3.4.4
remote: npm info install express@3.4.4
remote: npm info postinstall express@3.4.4
remote: npm info build /var/lib/openshift/528ac55aceb528cc58000031/app-root/runtime/repo
remote: npm info linkStuff OpenShift-Sample-App@1.0.0
remote: npm info install OpenShift-Sample-App@1.0.0
remote: npm info postinstall OpenShift-Sample-App@1.0.0
remote: express@3.4.4 node_modules/express
remote: ├── methods@0.1.0
remote: ├── debug@0.7.4
remote: ├── range-parser@0.0.4
remote: ├── cookie-signature@1.0.1
remote: ├── fresh@0.2.0
remote: ├── buffer-crc32@0.2.1
remote: ├── cookie@0.1.0
remote: ├── mkdirp@0.3.5
remote: ├── commander@1.3.2 (keypress@0.1.0)
remote: ├── send@0.1.4 (mime@1.2.11)
remote: └── connect@2.11.0 (methods@0.0.1, uid2@0.0.3, pause@0.0.1, raw-body@0.0.3, bytes@0.2.1, qs@0.6.5, negotiator@0.3.0, multiparty@2.2.0)
remote: npm info ok 
remote: Preparing build for deployment
remote: Deployment id is 63bb280c
remote: Activating deployment
remote: Starting NodeJS cartridge
remote: Result: success
remote: Activation status: success
remote: Deployment completed with status: success
To ssh://528ac55aceb528cc58000031@mynodejs06-chunchen.dev.rhcloud.com/~/git/mynodejs06.git/
   d02610d..49385c7  master -> master

Note You need to log in before you can comment on or make changes to this bug.